コンテンツへスキップ

Ltx 2.3 Quality · HDR

統合

モデルID ltx-2.3-quality/hdr
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/hdr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.29 290 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Lightricks · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成を指示するプロンプト。

•必須 video_url
ファイルをドロップ、または

動画条件付けによってHDRに変換するSDRソース動画。

resolution デフォルト auto

要求する動画寸法。大きすぎる要求はアスペクト比を維持して比例縮小されます。生成は約720pまでで、短辺は704pxが上限です。

デフォルト 121

生成する出力のフレーム数。

詳細設定 negative_prompt · video_quality · video_write_mode · frames_per_second · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
デフォルト color distortion, ove...

生成で避ける内容を指定するネガティブプロンプト。

video_quality デフォルト high

出力動画に適用する品質プリセット。

video_write_mode デフォルト balanced

結果動画の書き込みモード。

デフォルト 24

1秒あたりのフレーム数で表す出力動画のフレームレート。

デフォルト 15

実行する推論ステップ数を最大30まで設定します。変更しない場合は15です。

デフォルト 1

このスケールでclassifier-free guidanceを調整します。デフォルトは高品質と高速生成の両立を目標に調整されています。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/ltx-2.3-quality/hdr?wait=20 見積もり → $0.29
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/hdr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ltx 2.3 Quality · HDRについて

`video_url`の標準ダイナミックレンジ動画を、必須の`prompt`に基づいてHDRへ変換します。結果は16ビットEXRフレームのZIP(`exr_frames_url`)と、確認用のMP4`preview_video`として返されます。生成は最大約720pで、短辺は704 pxに制限されます。`num_frames`は9~481です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
生成を指示するプロンプト。
video_url必須 video
型url · video
動画条件付けによってHDRに変換するSDRソース動画。
num_frames任意
型integer
デフォルト121
9 – 481
生成する出力のフレーム数。
resolution任意
型object
デフォルトauto
autosquare_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
要求する動画寸法。大きすぎる要求はアスペクト比を維持して比例縮小されます。生成は約720pまでで、短辺は704pxが上限です。
frames_per_second任意
型number
デフォルト24
1 – 60
1秒あたりのフレーム数で表す出力動画のフレームレート。
num_inference_steps任意
型integer
デフォルト15
8 – 30
実行する推論ステップ数を最大30まで設定します。変更しない場合は15です。
guidance_scale任意
型number
デフォルト1
1 – 20
このスケールでclassifier-free guidanceを調整します。デフォルトは高品質と高速生成の両立を目標に調整されています。
generate_audio任意
型boolean
デフォルトtrue
返却するMP4の音声トラック切り替え。オフでは動画のみのファイル、オンでは音声付きになります。
negative_prompt任意
型string
デフォルトcolor distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards
生成で避ける内容を指定するネガティブプロンプト。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_prompt_expansion任意
型boolean
デフォルトtrue
プロンプト拡張を有効にするかどうかを制御します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
video_quality任意
型enum
デフォルトhigh
lowmediumhighmaximum
出力動画に適用する品質プリセット。
video_write_mode任意
型enum
デフォルトbalanced
fastbalancedsmall
結果動画の書き込みモード。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/hdr",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 290,
    "usd": "0.29",
    "charged": 290,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "preview_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "exr_frames_url": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
preview_video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}HDR出力をすばやく確認するためのMP4版。
exr_frames_url
object {url, content_type, file_name, file_size}生成された各フレームの16-bit EXR画像を個別に含むZIPファイル。
seed
integer生成時に実際に適用されたシード。
prompt
string使用前に拡張された内容を含む生成プロンプト。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-2.3-quality/hdr.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt